v4.0
put
/ec-ors-svc/rest/v4.0/studies/{studyId}/{mode}/sites/{siteId}/inventory/kits/{kitId}
Updates a kit's status at a site by kit ID. If the new status is quarantined it will generate a temperature excursion number.
Rights: OrsInventoryPost and either OrsUnblinded or OrsBlinded.
Rights: OrsInventoryPost and either OrsUnblinded or OrsBlinded.
Request
Path Parameters
-
kitId(required): string(uuid)
ID of the kit.
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
siteId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
instanceNumber: number
(BigDecimal)
InstanceNumber
-
inventoryStatusId(required): integer
(int32)
Allowed Values:
[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20 ]Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:10 -
kits: array
kits
Title:
kitsContains kit IDs. -
kitsFilter: object
SiteUserUpdateKitsFilter
Contains filter criteria to update kits.
-
missingUnits: number
(BigDecimal)
Missing Units of Kit.
-
reason: string
Reason description.
-
returnedUnits: number
(BigDecimal)
Returned Units of Kit.
-
subjectId: string
(uuid)
Unique subject identifier (UUID, 32-character uppercase hexadecimal string) representing the patient/participant enrolled in the study.
-
visitSrcId: string
(uuid)
Visit source ID
Nested Schema : SiteUserUpdateKitsFilter
Type:
objectContains filter criteria to update kits.
Show Source
-
inventoryStatusIds: array
inventoryStatusIds
Title:
inventoryStatusIdsList of inventory status IDs. -
kitRange: string
Range of the kit.
-
searchString: string
Search string.
-
serialized: boolean
Is kit serialized or non-serialized
Nested Schema : inventoryStatusIds
Type:
arrayTitle:
inventoryStatusIdsList of inventory status IDs.
Show Source
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : IDResponse v1.0
Type:
objectTitle:
IDResponse v1.0Response containing the identifier.
Show Source
400 Response
For invalid subject or inventory status or invalid transition status for, kit does not belong to site.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
For invalid study ID or study still in design phase AND for invalid kit and study combination.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object